%define reltag _alpha_22
%define namedreltag -alpha-22
%define namedversion %{version}%{?namedreltag}

Name:           plexus-component-api
Version:        1.0
Release:        1%{?reltag}%{?dist}
Epoch:          0
Summary:        Plexus Component API
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://svn.codehaus.org/plexus/plexus-containers/tags/plexus-containers-1.0-alpha-22/plexus-component-api/
%if 0
svn export http://svn.codehaus.org/plexus/plexus-containers/tags/plexus-containers-1.0-alpha-22/plexus-component-api plexus-component-api-1.0-alpha-22 && tar cjf plexus-component-api-1.0-alpha-22.tar.bz2 plexus-component-api-1.0-alpha-22/
%endif
Source0:        plexus-component-api-%{namedversion}.tar.bz2
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       plexus-classworlds
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven2
BuildRequires:  maven2-common-poms
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven-pmd-plugin
BuildRequires:  plexus-classworlds
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Plexus Component API.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n plexus-component-api-%{namedversion}

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 644 target/plexus-component-api-%{namedversion}.jar %{buildroot}%{_javadir}/plexus-component-api-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -pm 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-plexus-component-api.pom
%add_to_maven_depmap org.codehaus.plexus plexus-component-api %{namedversion} JPP plexus-component-api

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/plexus-component-api-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/plexus-component-api-%{namedversion}
ln -s plexus-component-api-%{namedversion} %{buildroot}%{_javadocdir}/plexus-component-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/plexus-component-api-%{namedversion}.jar
%{_javadir}*/plexus-component-api.jar
%{_datadir}/maven2/poms/JPP-plexus-component-api.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/plexus-component-api-%{namedversion}
%{_javadocdir}/plexus-component-api

%changelog
* Fri Oct 14 2011 David Walluck <dwalluck@redhat.com> 0:1.0-1_alpha_22
- 1.0-alpha-22

* Wed Sep 29 2010 Hui Wang <huwang@redhat.com> - 0:1.0-0.8.alpha16
- Adjust BRs

* Mon Sep 06 2010 Hui Wang <huwang@redhat.com> - 0:1.0-0.7.alpha16
- Rebuild with maven221

* Thu Jul 22 2010 Weinan Li <weli@redhat.com> - 0:1.0-0.6.alpha16
- Replace macro mavenpomdir

* Wed May 26 2010 Yong Yang <yyang@redhat.com> - 0:1.0-0.5.alpha15
- Add R: plexus-digest

* Thu May 20 2010 Yong Yang <yyang@redhat.com> - 0:1.0-0.4.alpha15
- Fix JPP pom name

* Thu May 20 2010 Yong Yang <yyang@redhat.com> - 0:1.0-0.3.alpha15
- Add BR:  plexus-digest

* Thu May 20 2010 Yong Yang <yyang@redhat.com> - 0:1.0-0.2.alpha15
- Change JPP pom name to prefix JPP- 

* Tue May 04 2010 Yong Yang <yyang@redhat.com> - 0:1.0-0.1.alpha15
- Initial build
